For the complete documentation index, see llms.txt. This page is also available as Markdown.

Uploads Old Ledgers

var options = new RestClientOptions("//eledger/Documents/EntryNumbers")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "multipart/form-data");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
request.AlwaysMultipartFormData = true;
request.AddFile("Ledger", "/path/to/file");
request.AddParameter("TotalPart", "<integer>");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//eledger/Documents/EntryNumbers',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('Ledger'=> new CURLFILE('/path/to/file'),'TotalPart' => '<integer>'),
  CURLOPT_HTTPHEADER => array(
    'Content-Type: multipart/form-data',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated